
%global meadversion 1.0.2
%global namedversion 1.0.2.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}reactive-streams}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.redhat-1

Name:           %{?scl_prefix}reactive-streams
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        A Protocol for Asynchronous Non-Blocking Data Sequence
Group:          Development/Java

%if %with mead
Source100: reactive-streams-1.0.2.redhat-1-scm-sources.zip
Source102: reactive-streams-1.0.2.redhat-1-sources.jar
Source103: reactive-streams-1.0.2.redhat-1.pom
Source104: reactive-streams-1.0.2.redhat-1.jar
Source105: reactive-streams-1.0.2.redhat-1-javadoc.jar
Source106: reactive-streams-1.0.2.redhat-1-project-sources.tar.gz
%endif

License:        Public Domain
URL:            http://www.reactive-streams.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/reactive-streams-%{namedversion}-%{release}-root

%description
The purpose of Reactive Streams is to provide a standard for asynchronous stream processing with non-blocking backpressure.

%if %with javadoc
%package javadoc
Summary:        Javadoc for reactive-streams
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n reactive-streams-jvm -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/reactive-streams-%{namedversion}.jar %{buildroot}%{_javadir}/reactive-streams-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/reactive-streams-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/reactive-streams-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/reactive-streams-%{namedversion}-sources.jar %{buildroot}%{_javadir}/reactive-streams-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/reactive-streams-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/reactive-streams-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/reactive-streams-%{namedversion} -x META-INF/\*
%{__ln_s} reactive-streams-%{namedversion} %{buildroot}%{_javadocdir}/reactive-streams
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md CONTRIBUTING.md COPYING CopyrightWaivers.txt RELEASE-NOTES.md
%{_javadir}/reactive-streams-%{namedversion}.jar
%{_javadir}/reactive-streams.jar
%if %with javadoc
%{_javadir}/reactive-streams-%{namedversion}-javadoc.jar
%{_javadir}/reactive-streams-javadoc.jar
%endif
%{_javadir}/reactive-streams-%{namedversion}-sources.jar
%{_javadir}/reactive-streams-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/reactive-streams-%{namedversion}
%{_javadocdir}/reactive-streams
%endif

%changelog
* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.2-2.redhat_1.1
- Rewrap for 7.2.0

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.2-1.redhat_1.1
- upgrade to 1.0.2.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_1.1
-  1.0.1.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_1.1
- 1.0.1.redhat-1
